| 10 | | if expr a : '\(a\)' >/dev/null 2>&1; then |
| 11 | | as_expr=expr |
| 12 | | else |
| 13 | | as_expr=false |
| 14 | | fi |
| 15 | | |
| 16 | | |
| 17 | | ## --------------------- ## |
| 18 | | ## M4sh Initialization. ## |
| 19 | | ## --------------------- ## |
| 20 | | |
| 21 | | # Be Bourne compatible |
| 22 | | if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then |
| 23 | | emulate sh |
| 24 | | NULLCMD=: |
| 25 | | elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then |
| 26 | | set -o posix |
| 27 | | fi |
| 28 | | |
| 29 | | # NLS nuisances. |
| 30 | | # Support unset when possible. |
| 31 | | if (FOO=FOO; unset FOO) >/dev/null 2>&1; then |
| 32 | | as_unset=unset |
| 33 | | else |
| 34 | | as_unset=false |
| 35 | | fi |
| 36 | | |
| 37 | | (set +x; test -n "`(LANG=C; export LANG) 2>&1`") && |
| 38 | | { $as_unset LANG || test "${LANG+set}" != set; } || |
| 39 | | { LANG=C; export LANG; } |
| 40 | | (set +x; test -n "`(LC_ALL=C; export LC_ALL) 2>&1`") && |
| 41 | | { $as_unset LC_ALL || test "${LC_ALL+set}" != set; } || |
| 42 | | { LC_ALL=C; export LC_ALL; } |
| 43 | | (set +x; test -n "`(LC_TIME=C; export LC_TIME) 2>&1`") && |
| 44 | | { $as_unset LC_TIME || test "${LC_TIME+set}" != set; } || |
| 45 | | { LC_TIME=C; export LC_TIME; } |
| 46 | | (set +x; test -n "`(LC_CTYPE=C; export LC_CTYPE) 2>&1`") && |
| 47 | | { $as_unset LC_CTYPE || test "${LC_CTYPE+set}" != set; } || |
| 48 | | { LC_CTYPE=C; export LC_CTYPE; } |
| 49 | | (set +x; test -n "`(LANGUAGE=C; export LANGUAGE) 2>&1`") && |
| 50 | | { $as_unset LANGUAGE || test "${LANGUAGE+set}" != set; } || |
| 51 | | { LANGUAGE=C; export LANGUAGE; } |
| 52 | | (set +x; test -n "`(LC_COLLATE=C; export LC_COLLATE) 2>&1`") && |
| 53 | | { $as_unset LC_COLLATE || test "${LC_COLLATE+set}" != set; } || |
| 54 | | { LC_COLLATE=C; export LC_COLLATE; } |
| 55 | | (set +x; test -n "`(LC_NUMERIC=C; export LC_NUMERIC) 2>&1`") && |
| 56 | | { $as_unset LC_NUMERIC || test "${LC_NUMERIC+set}" != set; } || |
| 57 | | { LC_NUMERIC=C; export LC_NUMERIC; } |
| 58 | | (set +x; test -n "`(LC_MESSAGES=C; export LC_MESSAGES) 2>&1`") && |
| 59 | | { $as_unset LC_MESSAGES || test "${LC_MESSAGES+set}" != set; } || |
| 60 | | { LC_MESSAGES=C; export LC_MESSAGES; } |
| 61 | | |
| 62 | | |
| 63 | | # Name of the executable. |
| 64 | | as_me=`(basename "$0") 2>/dev/null || |
| 65 | | $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \ |
| 66 | | X"$0" : 'X\(//\)$' \| \ |
| 67 | | X"$0" : 'X\(/\)$' \| \ |
| 68 | | . : '\(.\)' 2>/dev/null || |
| 69 | | echo X/"$0" | |
| 70 | | sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; } |
| 71 | | /^X\/\(\/\/\)$/{ s//\1/; q; } |
| 72 | | /^X\/\(\/\).*/{ s//\1/; q; } |
| 73 | | s/.*/./; q'` |
| 74 | | |
| 75 | | # PATH needs CR, and LINENO needs CR and PATH. |
| 76 | | # Avoid depending upon Character Ranges. |
| 77 | | as_cr_letters='abcdefghijklmnopqrstuvwxyz' |
| 78 | | as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ' |
| 79 | | as_cr_Letters=$as_cr_letters$as_cr_LETTERS |
| 80 | | as_cr_digits='0123456789' |
| 81 | | as_cr_alnum=$as_cr_Letters$as_cr_digits |
| 82 | | |
| 83 | | # The user is always right. |
| 84 | | if test "${PATH_SEPARATOR+set}" != set; then |
| 85 | | echo "#! /bin/sh" >conftest.sh |
| 86 | | echo "exit 0" >>conftest.sh |
| 87 | | chmod +x conftest.sh |
| 88 | | if (PATH=".;."; conftest.sh) >/dev/null 2>&1; then |
| 89 | | PATH_SEPARATOR=';' |
| 90 | | else |
| 91 | | PATH_SEPARATOR=: |
| 92 | | fi |
| 93 | | rm -f conftest.sh |
| 94 | | fi |
| 95 | | |
| 96 | | |
| 97 | | as_lineno_1=$LINENO |
| 98 | | as_lineno_2=$LINENO |
| 99 | | as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null` |
| 100 | | test "x$as_lineno_1" != "x$as_lineno_2" && |
| 101 | | test "x$as_lineno_3" = "x$as_lineno_2" || { |
| 102 | | # Find who we are. Look in the path if we contain no path at all |
| 103 | | # relative or not. |
| 104 | | case $0 in |
| 105 | | *[\\/]* ) as_myself=$0 ;; |
| 106 | | *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| 107 | | for as_dir in $PATH |
| 108 | | do |
| 109 | | IFS=$as_save_IFS |
| 110 | | test -z "$as_dir" && as_dir=. |
| 111 | | test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break |
| 112 | | done |
| 113 | | |
| 114 | | ;; |
| 115 | | esac |
| 116 | | # We did not find ourselves, most probably we were run as `sh COMMAND' |
| 117 | | # in which case we are not to be found in the path. |
| 118 | | if test "x$as_myself" = x; then |
| 119 | | as_myself=$0 |
| 120 | | fi |
| 121 | | if test ! -f "$as_myself"; then |
| 122 | | { echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2 |
| 123 | | { (exit 1); exit 1; }; } |
| 124 | | fi |
| 125 | | case $CONFIG_SHELL in |
| 126 | | '') |
| 127 | | as_save_IFS=$IFS; IFS=$PATH_SEPARATOR |
| 128 | | for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH |
| 129 | | do |
| 130 | | IFS=$as_save_IFS |
| 131 | | test -z "$as_dir" && as_dir=. |
| 132 | | for as_base in sh bash ksh sh5; do |
| 133 | | case $as_dir in |
| 134 | | /*) |
| 135 | | if ("$as_dir/$as_base" -c ' |
| 136 | | as_lineno_1=$LINENO |
| 137 | | as_lineno_2=$LINENO |
| 138 | | as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null` |
| 139 | | test "x$as_lineno_1" != "x$as_lineno_2" && |
| 140 | | test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then |
| 141 | | CONFIG_SHELL=$as_dir/$as_base |
| 142 | | export CONFIG_SHELL |
| 143 | | exec "$CONFIG_SHELL" "$0" ${1+"$@"} |
| 144 | | fi;; |
| 145 | | esac |
| 146 | | done |
| 147 | | done |
| 148 | | ;; |
| 149 | | esac |
| 150 | | |
| 151 | | # Create $as_me.lineno as a copy of $as_myself, but with $LINENO |
| 152 | | # uniformly replaced by the line number. The first 'sed' inserts a |
| 153 | | # line-number line before each line; the second 'sed' does the real |
| 154 | | # work. The second script uses 'N' to pair each line-number line |
| 155 | | # with the numbered line, and appends trailing '-' during |
| 156 | | # substitution so that $LINENO is not a special case at line end. |
| 157 | | # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the |
| 158 | | # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-) |
| 159 | | sed '=' <$as_myself | |
| 160 | | sed ' |
| 161 | | N |
| 162 | | s,$,-, |
| 163 | | : loop |
| 164 | | s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3, |
| 165 | | t loop |
| 166 | | s,-$,, |
| 167 | | s,^['$as_cr_digits']*\n,, |
| 168 | | ' >$as_me.lineno && |
| 169 | | chmod +x $as_me.lineno || |
| 170 | | { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2 |
| 171 | | { (exit 1); exit 1; }; } |
| 172 | | |
| 173 | | # Don't try to exec as it changes $[0], causing all sort of problems |
| 174 | | # (the dirname of $[0] is not the place where we might find the |
| 175 | | # original and so on. Autoconf is especially sensible to this). |
| 176 | | . ./$as_me.lineno |
| 177 | | # Exit status is that of the last command. |
| 178 | | exit |
| 179 | | } |
| 180 | | |
| 181 | | |
| 182 | | case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in |
| 183 | | *c*,-n*) ECHO_N= ECHO_C=' |
| 184 | | ' ECHO_T=' ' ;; |
| 185 | | *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;; |
| 186 | | *) ECHO_N= ECHO_C='\c' ECHO_T= ;; |
| 187 | | esac |
| 188 | | |
| 189 | | if expr a : '\(a\)' >/dev/null 2>&1; then |
| 190 | | as_expr=expr |
| 191 | | else |
| 192 | | as_expr=false |
| 193 | | fi |
| 194 | | |
| 195 | | rm -f conf$$ conf$$.exe conf$$.file |
| 196 | | echo >conf$$.file |
| 197 | | if ln -s conf$$.file conf$$ 2>/dev/null; then |
| 198 | | # We could just check for DJGPP; but this test a) works b) is more generic |
| 199 | | # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04). |
| 200 | | if test -f conf$$.exe; then |
| 201 | | # Don't use ln at all; we don't have any links |
| 202 | | as_ln_s='cp -p' |
| 203 | | else |
| 204 | | as_ln_s='ln -s' |
| 205 | | fi |
| 206 | | elif ln conf$$.file conf$$ 2>/dev/null; then |
| 207 | | as_ln_s=ln |
| 208 | | else |
| 209 | | as_ln_s='cp -p' |
| 210 | | fi |
| 211 | | rm -f conf$$ conf$$.exe conf$$.file |
| 212 | | |
| 213 | | as_executable_p="test -f" |
| 214 | | |
| 215 | | # Sed expression to map a string onto a valid CPP name. |
| 216 | | as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g" |
| 217 | | |
| 218 | | # Sed expression to map a string onto a valid variable name. |
| 219 | | as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g" |
| 220 | | |
| 221 | | |
| 222 | | # IFS |
| 223 | | # We need space, tab and new line, in precisely that order. |
| 224 | | as_nl=' |
| 225 | | ' |
| 226 | | IFS=" $as_nl" |
| 227 | | |
| 228 | | # CDPATH. |
| 229 | | $as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=$PATH_SEPARATOR; export CDPATH; } |
| 230 | | |
| 231 | | |
| 232 | | # Name of the host. |
| 233 | | # hostname on some systems (SVR3.2, Linux) returns a bogus exit status, |
| 234 | | # so uname gets run too. |
| 235 | | ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q` |
| 236 | | |
| 237 | | exec 6>&1 |
| 238 | | |
| 239 | | # |
| 240 | | # Initializations. |
| 241 | | # |
| | 10 | # Defaults: |
| | 11 | ac_help= |
| 243 | | cross_compiling=no |
| 244 | | subdirs= |
| 245 | | MFLAGS= |
| 246 | | MAKEFLAGS= |
| 247 | | SHELL=${CONFIG_SHELL-/bin/sh} |
| 248 | | |
| 249 | | # Maximum number of lines to put in a shell here document. |
| 250 | | # This variable seems obsolete. It should probably be removed, and |
| 251 | | # only ac_max_sed_lines should be used. |
| 252 | | : ${ac_max_here_lines=38} |
| 253 | | |
| 254 | | # Identity of this package. |
| 255 | | PACKAGE_NAME= |
| 256 | | PACKAGE_TARNAME= |
| 257 | | PACKAGE_VERSION= |
| 258 | | PACKAGE_STRING= |
| 259 | | PACKAGE_BUGREPORT= |
| 260 | | |
| 261 | | # Factoring default headers for most tests. |
| 262 | | ac_includes_default="\ |
| 263 | | #include <stdio.h> |
| 264 | | #if HAVE_SYS_TYPES_H |
| 265 | | # include <sys/types.h> |
| 266 | | #endif |
| 267 | | #if HAVE_SYS_STAT_H |
| 268 | | # include <sys/stat.h> |
| 269 | | #endif |
| 270 | | #if STDC_HEADERS |
| 271 | | # include <stdlib.h> |
| 272 | | # include <stddef.h> |
| 273 | | #else |
| 274 | | # if HAVE_STDLIB_H |
| 275 | | # include <stdlib.h> |
| 276 | | # endif |
| 277 | | #endif |
| 278 | | #if HAVE_STRING_H |
| 279 | | # if !STDC_HEADERS && HAVE_MEMORY_H |
| 280 | | # include <memory.h> |
| 281 | | # endif |
| 282 | | # include <string.h> |
| 283 | | #endif |
| 284 | | #if HAVE_STRINGS_H |
| 285 | | # include <strings.h> |
| 286 | | #endif |
| 287 | | #if HAVE_INTTYPES_H |
| 288 | | # include <inttypes.h> |
| 289 | | #else |
| 290 | | # if HAVE_STDINT_H |
| 291 | | # include <stdint.h> |
| 292 | | # endif |
| 293 | | #endif |
| 294 | | #if HAVE_UNISTD_H |
| 295 | | # include <unistd.h> |
| 296 | | #endif" |
| 297 | | |
| | 13 | # Any additions from configure.in: |
| | 14 | ac_help="$ac_help |
| | 15 | --enable-debug enable debugging mode" |
| | 16 | ac_help="$ac_help |
| | 17 | --enable-shared-mem enable shared memory (*much* more performance)" |
| | 18 | ac_help="$ac_help |
| | 19 | --with-template-dir=DIR the directory where the templates are located" |
| | 20 | ac_help="$ac_help |
| | 21 | --with-config-dir the directory where the config files should be copied to" |
| | 22 | ac_help="$ac_help |
| | 23 | --with-compiled-templatedir=DIR the directory where the compiled templates are located" |
| | 24 | ac_help="$ac_help |
| | 25 | --with-modules-dir=DIR the directory where the plugins are located" |
| | 26 | ac_help="$ac_help |
| | 27 | --with-message-dir=DIR the directory where the message files are located" |
| | 28 | ac_help="$ac_help |
| | 29 | --with-archive-dir=DIR the directory where the archived files are located" |
| | 30 | ac_help="$ac_help |
| | 31 | --with-socket-path=DIR the path where the socket should be located" |
| | 32 | ac_help="$ac_help |
| | 33 | --with-log-dir=DIR the path where the forum log files should be located" |
| | 34 | ac_help="$ac_help |
| | 35 | --with-userconfig-dir=DIR the path where the user configuration files are located" |
| | 36 | ac_help="$ac_help |
| | 37 | --with-owner=OWNER the owner of the forum files" |
| | 38 | ac_help="$ac_help |
| | 39 | --with-group=GROUP the group of the forum files" |
| | 40 | ac_help="$ac_help |
| | 41 | --with-cgi-bin=DIR the cgi-bin directory" |
| | 42 | ac_help="$ac_help |
| | 43 | --with-cgi-shared=DIR the cgi-bin directory" |
| | 44 | ac_help="$ac_help |
| | 45 | --with-src-dir=DIR the cgi-bin directory" |
| | 46 | ac_help="$ac_help |
| | 47 | --with-lib-dir=DIR the forum libraries directory" |
| | 48 | ac_help="$ac_help |
| | 49 | --with-db3=DIR the db3 directory including the header files" |
| 414 | | -help | --help | --hel | --he | -h) |
| 415 | | ac_init_help=long ;; |
| 416 | | -help=r* | --help=r* | --hel=r* | --he=r* | -hr*) |
| 417 | | ac_init_help=recursive ;; |
| 418 | | -help=s* | --help=s* | --hel=s* | --he=s* | -hs*) |
| 419 | | ac_init_help=short ;; |
| | 170 | -help | --help | --hel | --he) |
| | 171 | # Omit some internal or obsolete options to make the list less imposing. |
| | 172 | # This message is too long to be a string in the A/UX 3.1 sh. |
| | 173 | cat << EOF |
| | 174 | Usage: configure [options] [host] |
| | 175 | Options: [defaults in brackets after descriptions] |
| | 176 | Configuration: |
| | 177 | --cache-file=FILE cache test results in FILE |
| | 178 | --help print this message |
| | 179 | --no-create do not create output files |
| | 180 | --quiet, --silent do not print \`checking...' messages |
| | 181 | --version print the version of autoconf that created configure |
| | 182 | Directory and file names: |
| | 183 | --prefix=PREFIX install architecture-independent files in PREFIX |
| | 184 | [$ac_default_prefix] |
| | 185 | --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX |
| | 186 | [same as prefix] |
| | 187 | --bindir=DIR user executables in DIR [EPREFIX/bin] |
| | 188 | --sbindir=DIR system admin executables in DIR [EPREFIX/sbin] |
| | 189 | --libexecdir=DIR program executables in DIR [EPREFIX/libexec] |
| | 190 | --datadir=DIR read-only architecture-independent data in DIR |
| | 191 | [PREFIX/share] |
| | 192 | --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc] |
| | 193 | --sharedstatedir=DIR modifiable architecture-independent data in DIR |
| | 194 | [PREFIX/com] |
| | 195 | --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var] |
| | 196 | --libdir=DIR object code libraries in DIR [EPREFIX/lib] |
| | 197 | --includedir=DIR C header files in DIR [PREFIX/include] |
| | 198 | --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include] |
| | 199 | --infodir=DIR info documentation in DIR [PREFIX/info] |
| | 200 | --mandir=DIR man documentation in DIR [PREFIX/man] |
| | 201 | --srcdir=DIR find the sources in DIR [configure dir or ..] |
| | 202 | --program-prefix=PREFIX prepend PREFIX to installed program names |
| | 203 | --program-suffix=SUFFIX append SUFFIX to installed program names |
| | 204 | --program-transform-name=PROGRAM |
| | 205 | run sed PROGRAM on installed program names |
| | 206 | EOF |
| | 207 | cat << EOF |
| | 208 | Host type: |
| | 209 | --build=BUILD configure for building on BUILD [BUILD=HOST] |
| | 210 | --host=HOST configure for HOST [guessed] |
| | 211 | --target=TARGET configure for TARGET [TARGET=HOST] |
| | 212 | Features and packages: |
| | 213 | --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no) |
| | 214 | --enable-FEATURE[=ARG] include FEATURE [ARG=yes] |
| | 215 | --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] |
| | 216 | --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) |
| | 217 | --x-includes=DIR X include files are in DIR |
| | 218 | --x-libraries=DIR X library files are in DIR |
| | 219 | EOF |
| | 220 | if test -n "$ac_help"; then |
| | 221 | echo "--enable and --with options recognized:$ac_help" |
| | 222 | fi |
| | 223 | &nbs |